Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CalibrationRequest Class Reference

A request for calibration. More...

`#include <CalibrationRequest.h>`

List of all members.

## Public Types
enum | CalibrationMode { none, calibrateColors, calibrateBallSideDetector, numOfCalibrationModes }
enum | CalibrationFeedback { noFeedback, colorIsGreen, colorIsOrange, ballRolledByLeft, ballRolledByRight, ballDidNotRollBy, numOfCalibrationFeedbacks }
## Public Member Functions
| CalibrationRequest ()
| constructor
| ~CalibrationRequest ()
| destructor
## Static Public Member Functions
char * | getCalibrationModeName (CalibrationMode calibrationMode)
| Returns the name of a CalibrationMode.
char * | getCalibrationFeedbackName (CalibrationFeedback calibrationFeedback)
| Returns the name of a CalibrationFeedback.
## Public Attributes
CalibrationMode | mode
CalibrationFeedback | feedback

## Detailed Description

A request for calibration.

Definition at line 19 of file CalibrationRequest.h.

## Member Enumeration Documentation

enum CalibrationRequest::CalibrationMode

  | Enumeration values:
  none |
  calibrateColors |
  calibrateBallSideDetector |
  numOfCalibrationModes |
Definition at line 29 of file CalibrationRequest.h.

enum CalibrationRequest::CalibrationFeedback

  | Enumeration values:
  noFeedback |
  colorIsGreen |
  colorIsOrange |
  ballRolledByLeft |
  ballRolledByRight |
  ballDidNotRollBy |
  numOfCalibrationFeedbacks |
Definition at line 37 of file CalibrationRequest.h.

## Constructor & Destructor Documentation

CalibrationRequest::CalibrationRequest | ( |  | ) |

| constructor Definition at line 12 of file CalibrationRequest.cpp.

CalibrationRequest::~CalibrationRequest | ( |  | ) |

| destructor Definition at line 19 of file CalibrationRequest.cpp.

## Member Function Documentation

char* CalibrationRequest::getCalibrationModeName | ( | CalibrationMode | calibrationMode | ) | `[inline, static]`

| Returns the name of a CalibrationMode. Definition at line 49 of file CalibrationRequest.h. References calibrateBallSideDetector, and calibrateColors.

char* CalibrationRequest::getCalibrationFeedbackName | ( | CalibrationFeedback | calibrationFeedback | ) | `[inline, static]`

| Returns the name of a CalibrationFeedback. Definition at line 61 of file CalibrationRequest.h. References ballDidNotRollBy, ballRolledByLeft, ballRolledByRight, colorIsGreen, colorIsOrange, and noFeedback.

## Member Data Documentation

CalibrationMode CalibrationRequest::mode

| Definition at line 75 of file CalibrationRequest.h. Referenced by CalibrationSymbols::registerSymbols().

CalibrationFeedback CalibrationRequest::feedback

| Definition at line 76 of file CalibrationRequest.h. Referenced by CalibrationSymbols::registerSymbols().

The documentation for this class was generated from the following files:

- Representations/Perception/CalibrationRequest.h
- Representations/Perception/CalibrationRequest.cpp